package com.ssj.service.kmt.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2018/11/30
 */
public class JuniorHighSubData implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
    /**
     * 1-知识精讲，2-小试牛刀，3-课后巩固
     */
	private Integer type;
	/**
	 * 单元id
	 */
	private String howId;
	private String howName;
	/**
	 * 知识点id
	 */
	private String howDetailsId;
	private String howDetailsName;
	private String howDetailsYdsl;
	/**
	 * 考点id
	 */
	private String howDetailsKdId;
	private String howDetailsKdName;
	private String howDetailsKdYdsl;
	/**
	 * 专题知识点id
	 */
	private String specialTopicDetailsId;
	/**
	 * 题目id
	 */
	private String questionId;
	/**
     * 标题
     */
    private String title;
	/**
	 * 1显示答案0不显示答案
	 */
	private Integer isAnswer;
	/**
	 * 排序
	 */
	private Integer num;
	/**
	 * 题目排序
	 */
	private Integer mark;

	private int easy;

	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getHowId() {
		return howId;
	}
	public void setHowId(String howId) {
		this.howId = howId;
	}
	public String getHowName() {
		return howName;
	}
	public void setHowName(String howName) {
		this.howName = howName;
	}
	public String getHowDetailsId() {
		return howDetailsId;
	}
	public void setHowDetailsId(String howDetailsId) {
		this.howDetailsId = howDetailsId;
	}
	public String getHowDetailsName() {
		return howDetailsName;
	}
	public void setHowDetailsName(String howDetailsName) {
		this.howDetailsName = howDetailsName;
	}
	public String getHowDetailsYdsl() {
		return howDetailsYdsl;
	}
	public void setHowDetailsYdsl(String howDetailsYdsl) {
		this.howDetailsYdsl = howDetailsYdsl;
	}
	public String getHowDetailsKdId() {
		return howDetailsKdId;
	}
	public void setHowDetailsKdId(String howDetailsKdId) {
		this.howDetailsKdId = howDetailsKdId;
	}
	public String getHowDetailsKdName() {
		return howDetailsKdName;
	}
	public void setHowDetailsKdName(String howDetailsKdName) {
		this.howDetailsKdName = howDetailsKdName;
	}
	public String getHowDetailsKdYdsl() {
		return howDetailsKdYdsl;
	}
	public void setHowDetailsKdYdsl(String howDetailsKdYdsl) {
		this.howDetailsKdYdsl = howDetailsKdYdsl;
	}
	public String getQuestionId() {
		return questionId;
	}
	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Integer getIsAnswer() {
		return isAnswer;
	}
	public void setIsAnswer(Integer isAnswer) {
		this.isAnswer = isAnswer;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getMark() {
		return mark;
	}

	public void setMark(Integer mark) {
		this.mark = mark;
	}

	public String getSpecialTopicDetailsId() {
		return specialTopicDetailsId;
	}

	public int getEasy() {
		return easy;
	}

	public void setEasy(int easy) {
		this.easy = easy;
	}

	public void setSpecialTopicDetailsId(String specialTopicDetailsId) {
		this.specialTopicDetailsId = specialTopicDetailsId;
	}
}
